Subject: Re: bug#39658: 26.3; can't edit file with terminal escape sequences

From: [email-masked]
Date: Tue, 18 Feb 2020 06:15:10 -0800

On Tue, Feb 18, 2020 at 02:58:22PM +0100, Robert Pluim wrote:
>>>>>> On Tue, 18 Feb 2020 05:48:59 -0800, [email-masked] said:
>
>    frederik> To reproduce, open the attached file in Emacs, and type C-x C-n. On my system Emacs uses 100% of CPU, indefinitely.
>    frederik> I can open the file in Vim (where it only lets me see the first part of the line) and in Gedit.
>
>    frederik> The file came from debugging Neomutt's use of curses. Thanks.
>
>The problem is more likely to be the extremely long lines in the
>file. If you have emacs-27 or emacs-master, you can try 'M-x
>global-so-long-mode' before visiting the file, which attempts to
>improve Emacs' behaviour in such cases.

Yes, the fact that it is all on one line is likely relevant. I haven't tried installing Emacs 27, but I note that a file 10x as long as the one I attached, consisting of the letter "t" repeated, can be opened and edited without difficulty. My guess is that rendering the escape sequences in the problem file is causing some kind of quadratic complexity.

Frederick